MPI_File_write_ordered_begin(3)

NAME
MPI_File_write_ordered_begin - Writes a file at a location specified by a shared file pointer; beginning part of a split collective routine (nonblocking).

SYNTAX
C Syntax
    #include <mpi.h>
    int MPI_File_write_ordered_begin(MPI_File fh, void *buf,
    	      int count, MPI_Datatype datatype)
Fortran Syntax
    INCLUDE 'mpif.h'
    MPI_FILE_WRITE_ORDERED_BEGIN(FH, BUF, COUNT, DATATYPE, IERROR)
		<type>		BUF(*)
        	INTEGER		FH, COUNT, DATATYPE, IERROR

C++ Syntax
#include <mpi.h>
void MPI::File::Write_ordered_begin(const void* buf, int count,
	const MPI::Datatype& datatype)

INPUT/OUTPUT PARAMETER

fh  File handle (handle).

INPUT PARAMETERS

buf Initial address of buffer (choice).

count
    Number of elements in buffer (integer).

datatype
    Data type of each buffer element (handle).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_File_write_ordered_begin is the beginning part of a split collective, nonblocking routine that must be called by all processes in the communicator group associated with the file handle fh. Each process may pass different argument values for the datatype and count arguments. After all processes of the group have issued their respective calls, each process attempts to write, into the file associated with fh, a total number of count data items having datatype type contained in the user's buffer buf. For each process, the location in the file at which data is written is the position at which the shared file pointer would be after all processes whose ranks within the group are less than that of this process had written their data.

NOTES
All the nonblocking collective routines for data access are "split" into two routines, each with _begin or _end as a suffix. These split collective routines are subject to the semantic rules described in Section 9.4.5 of the MPI-2 standard.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.